/* ------------------------ Custom CSS ------------------------------- */

/* artists list rulesets */

.ln-letters { overflow:hidden; }
.ln-letters a { font-size:0.9em; display:block; float:left; padding:2px 6px; border:1px solid silver; border-right:none; text-decoration:none;color:#000; }
.ln-letters a.ln-last { border-right:1px solid silver; }
.ln-letters a:hover, .ln-letters a.ln-selected { background-color:#ccc; }
.ln-letters a.ln-disabled { color:#ccc; }
.ln-letter-count { text-align:center; font-size:0.8em; line-height:1; margin-bottom:3px; color:#fff; }

.demo {
	list-style:none;
	margin:0;padding:0;margin-top:15px;
}

.demo li{
	width:97%;
	padding:15px;
	margin-bottom:10px;
	border:1px solid #CCCCCC;
	overflow:auto;
}

.img-responsive.quickfix
{
	display:inline;
	max-width:100%;
	height:auto
}

.img-fluid
{
    max-width:100%;
    height:auto
}

/* revolution slider height control */
.fullwidthbanner-container {
    height: 600px !important;
}

@media only screen and (max-width : 992px) {
    .navbar-right{
        float:left !important;
    }
    
    .navbar-nav{
        qmargin-top:-40px !important;
    }
}

@media only screen and (min-width : 768px) {
	.col-sm-3{
		flex:0 0 25%;
		max-width:25%;
	}
}

/* admin login button */
#admin-login-button{
    color:#333
}

/* class registration form rulesets */
.form-control-half{
    width:50%;
}

.form-control-error{
    outline:1px solid red;
}

.form-control-error:focus {
  border-color: #FF0000;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(255, 0, 0, 0.6);
}

/* event titles max width for events page only */
h4.heading.custom{ max-width:445px;}

@media (max-width: 767px) {
	.nav-pills>li {
		float: none;
	}
}

/* add event form in admin area */
.form-check{
position:relative;
display:block;
padding-left:1.25rem;
}

.form-check-inline{
display:ms inline flexbox;
display:inline-flex;
align-items:center;
padding-left:0;
margin-right:.75rem;
}

.form-check-label{
position:relative;
top:5px;
left:3px;
}

.hrstyle{
	clear: both;
	border: 0;
	height: 1px;
	background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}

/* artists page */
.course-features {
    margin:0;padding:0;
}

.course-features li{
    background-color:#eee;  
    
}

.tab-content.tab-content-homepage{
    color: #ffffff;
}

/****** Gallery Home Page ******/

.gallery{
    position: relative;
}

.gallery .img-box{
    position: relative;
    overflow: hidden;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.gallery:hover .img-box{
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
}

.gallery .img-box img{
    position: relative;
    -webkit-transition: 350ms ease all;
    transition: 350ms ease all;
    z-index: 2;
}

.gallery .img-box .desc{
    position: absolute;
    color: #fff;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.75);
    padding: 1.25rem;
    top: 0%;
    opacity: 0;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: 350ms ease all;
    transition: 350ms ease all;
    z-index: 5;
}

.gallery .img-box:hover .desc{
    opacity: 1;
    top:50%;
}

.gallery .gallery-overlay{
   background-color: rgba(0,0,0,0.55);
   height: 100%;
   width: 100%;
   position: absolute;
   display: block;
   z-index: 12;
   -webkit-transition: 350ms ease all;
   transition: 350ms ease all;
}

.gallery:hover .gallery-overlay{
    opacity: 0;
    visibility: hidden;
}

.gallery .gallery-heading{
    position: absolute;
    top:50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    font-family: 'Oswald', sans-serif;
    font-size: 5rem;
    border:10px solid #ff9c00;
    text-shadow: 0px 2px 2px #000;
    color: #ff9c00;
    z-index: 99;
    margin: 0;
    text-align: center;
}

/****** Gallery Albums ******/

.album-card .album-images{
    text-align: center;
}

.album-card .album-images img{
    width: 48%;
    margin: 0 0.5% 1.5% 0.5%;
    height: auto;
}

.album-card .heading{
    margin-bottom: 0.625rem;
    transition: 350ms ease all;
}

.album-card:hover .heading{
    color: #ff9c00;
}

/****** Gallery ******/

.gallery-card img{
    -webkit-transition: 350ms ease all;
    transition: 350ms ease all;
}

.gallery-card:hover img{
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.gallery-card .img-zoom{
    position: absolute;
    background-color: #ff9c00;
    color: #fff;
    height: 3.125rem;
    width: 3.125rem;
    font-weight: bold;
    border-radius: 50%;
    line-height: 3.125rem;
    font-size: 1.125rem;
    text-align: center;
    top:-6.25rem;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: 350ms ease all;
    transition: 350ms ease all;
    z-index: 2;
}

.gallery-card:hover .img-zoom{
    top:50%;
}